List stems
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5c9c8dbc-8824-49bf-bb8c-0756c1569df3",
"stems": [
{
"name": "dialogue",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.125,
"url": "https://storage.googleapis.com/…/stems/dialogue.flac?X-Goog-Signature=…",
"expires_in": 3600
},
{
"name": "music",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.773,
"url": "https://storage.googleapis.com/…/stems/music.flac?X-Goog-Signature=…",
"expires_in": 3600
},
{
"name": "speaker:S01",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.414,
"url": "https://storage.googleapis.com/…/stems/speaker_S01.flac?X-Goog-Signature=…",
"expires_in": 3600
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audio intelligence
List stems
The stems separated from this recording so far, each with its
status and, once complete, a download URL valid for an hour. quality is a
separation score from 1 (poor) to 5 (clean).
GET
/
v1
/
speech
/
transcriptions
/
{session_id}
/
stems
List stems
curl --request GET \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/stems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5c9c8dbc-8824-49bf-bb8c-0756c1569df3",
"stems": [
{
"name": "dialogue",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.125,
"url": "https://storage.googleapis.com/…/stems/dialogue.flac?X-Goog-Signature=…",
"expires_in": 3600
},
{
"name": "music",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.773,
"url": "https://storage.googleapis.com/…/stems/music.flac?X-Goog-Signature=…",
"expires_in": 3600
},
{
"name": "speaker:S01",
"status": "complete",
"progress": 1,
"request_id": "82b52e155efa",
"duration": 90,
"quality": 4.414,
"url": "https://storage.googleapis.com/…/stems/speaker_S01.flac?X-Goog-Signature=…",
"expires_in": 3600
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}